Subject: Re: bug#79455: "Value ‘1’ does not match type boolean" should mention which variable

From: Robert Pluim <[email-masked]>
Date: Tue, 16 Sep 2025 14:16:35 +0200

>>>>> On Tue, 16 Sep 2025 08:30:22 +0200, "R. Diez" via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> said:

    rdiez> Hi all:
    rdiez> I recently upgraded from Emacs 29 to 30, and I got the following warning in the *Warnings* buffer:

    rdiez> Warning (emacs): Value ‘1’ does not match type boolean

    rdiez> I am no Lisp expert, but I still have accumulated a biggish configuration over the years, so it took me a while to find the culprit:

    rdiez> (setopt inhibit-startup-screen 1)

    rdiez> I then changed '1' to 't', and the problem went away.

    rdiez> The trouble is, I lost quite a lot of time to this trivial matter. I
    rdiez> am thinking that other people could encounter the same issue and lose
    rdiez> time too.

    rdiez> Could you mention the variable name in the error message? Like this:

    rdiez> Warning (emacs): When setting variable ‘whatever-variable’: Value ‘1’ does not match type boolean

Emacs 31 has changed it to this:

      (warn "Value `%S' for variable `%s' does not match its type \"%s\""
            value variable type)

Robert
--